# Uses of Class
org.opensaml.xacml.ctx.provider.impl.BaseObligationHandler

Packages that use BaseObligationHandler
Package
Description
org.opensaml.xacml.ctx.provider.impl
Implementations of XACML functionality.

## Uses of BaseObligationHandler in org.opensaml.xacml.ctx.provider.impl

Fields in org.opensaml.xacml.ctx.provider.impl with type parameters of type BaseObligationHandler
Modifier and Type
Field
Description
`private Set<BaseObligationHandler>`
ObligationService.`obligationHandlers`
Registered obligation handlers.
Methods in org.opensaml.xacml.ctx.provider.impl that return types with arguments of type BaseObligationHandler
Modifier and Type
Method
Description
`Set<BaseObligationHandler>`
ObligationService.`getObligationHandlers()`
Gets the registered obligation handlers.
Methods in org.opensaml.xacml.ctx.provider.impl with parameters of type BaseObligationHandler
Modifier and Type
Method
Description
`void`
ObligationService.`addObligationhandler(BaseObligationHandler handler)`
Adds an obligation handler to the list of registered handlers This method waits until a write lock is obtained for the set of registered obligation handlers.
`int`
ObligationService.ObligationHandlerComparator.`compare(BaseObligationHandler o1, BaseObligationHandler o2)`
`void`
ObligationService.`removeObligationHandler(BaseObligationHandler handler)`
Removes an obligation handler from the list of registered handlers This method waits until a write lock is obtained for the set of registered obligation handlers.
Method parameters in org.opensaml.xacml.ctx.provider.impl with type arguments of type BaseObligationHandler
Modifier and Type
Method
Description
`void`
ObligationService.`addObligationhandler(Collection<BaseObligationHandler> handlers)`
Adds a collection of obligation handler to the list of registered handlers This method waits until a write lock is obtained for the set of registered obligation handlers.